Bug 15667 - pthread_create gets SIGSEGV
pthread_create gets SIGSEGV
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 13:28 EDT by warlo01
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 13:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description warlo01 2000-08-07 13:28:16 EDT
Some of our UnicenterTNG-Framework applications receive SIGSEGV when they 
call pthread_create().  The same programs run fine on Red Hat 6.1, 6.2, 
and other distributions.  A gdb trace follows:

(gdb) p attr
$5 = {__detachstate = 1, __schedpolicy = 0, __schedparam = {
    sched_priority = 0}, __inheritsched = 1, __scope = 0, 
  __guardsize = 1074345644, __stackaddr_set = -1073745004, 
  __stackaddr = 0x4000a120, __stacksize = 1074463628}
(gdb) whatis attr
type = pthread_attr_t
(gdb) 
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x40203b4a in pthread_allocate_stack (attr=0xbffff284, 
    default_new_thread=0xbf7ffc00, pagesize=4096, 
out_new_thread=0x81993b0, 
    out_new_thread_bottom=0x81993b4, out_guardaddr=0x81993b8, 
    out_guardsize=0x81993bc) at ../sysdeps/i386/i486/bits/string.h:315
315     ../sysdeps/i386/i486/bits/string.h: No such file or directory.
(gdb) where
#0  0x40203b4a in pthread_allocate_stack (attr=0xbffff284, 
    default_new_thread=0xbf7ffc00, pagesize=4096, 
out_new_thread=0x81993b0, 
    out_new_thread_bottom=0x81993b4, out_guardaddr=0x81993b8, 
    out_guardsize=0x81993bc) at ../sysdeps/i386/i486/bits/string.h:315
#1  0x40203c49 in pthread_handle_create (thread=0x4020fed0, 
attr=0xbffff284, 
    start_routine=0x8050d28 <initUnixNotificationThread>, arg=0x0, 
    mask=0x8199418, father_pid=28079, report_events=1, 
event_maskp=0x40210028)
    at manager.c:450
#2  0x40203851 in __pthread_manager (arg=0xc) at manager.c:160
#3  0x402042bb in __pthread_manager_event (arg=0xc) at manager.c:224
Comment 1 Jakub Jelinek 2000-08-25 09:15:54 EDT
This cannot be fixed without a testcase. Please reopen when you have one.

Note You need to log in before you can comment on or make changes to this bug.